SessionControllerIPAddress Method |
PUT /Session/IPAddress/
Sets the IP address which should be associated with the specified session.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("IPAddress")]
public IActionResult IPAddress(
[FromBodyAttribute] SetSessionIPAddressOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("IPAddress")>
Public Function IPAddress (
<FromBodyAttribute> options As SetSessionIPAddressOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"IPAddress")]
IActionResult^ IPAddress(
[FromBodyAttribute] SetSessionIPAddressOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("IPAddress")>]
member IPAddress :
[<FromBodyAttribute>] options : SetSessionIPAddressOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsSetSessionIPAddressOptions
The options with the information to set the IP address for the session. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of a session with administrative privileges.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also